Create
cancel
Showing results for 
Search instead for 
Did you mean: 
Sign up Log in
Deleted user
0 / 0 points
Next:
badges earned

Your Points Tracker
Challenges
Leaderboard
  • Global
  • Feed

Badge for your thoughts?

You're enrolled in our new beta rewards program. Join our group to get the inside scoop and share your feedback.

Join group
Recognition
Give the gift of kudos
You have 0 kudos available to give
Who do you want to recognize?
Why do you want to recognize them?
Kudos
Great job appreciating your peers!
Check back soon to give more kudos.

Past Kudos Given
No kudos given
You haven't given any kudos yet. Share the love above and you'll see it here.

It's not the same without you

Join the community to find out what other Atlassian users are discussing, debating and creating.

Atlassian Community Hero Image Collage

Error when following "Creating blueprints with Confluence Connect" article

I’m following this article:
https://developer.atlassian.com/cloud/confluence/multi-page-blueprints-with-confluence-connect/

And when I run the “npm install” step, I get this error:
image

Anyone seen this or know how to resolve?
(Note - no changes have been made to the code downloaded from the git repo).

Attempting to run "npm start" gives this error message:

Capture.PNG

Thanks in advance!

1 answer

0 votes

Hello Robert!

Thanks for linking to this post from your original ( How to create a template with nested pages ). The screenshots of your errors are helpful, I was able to find a related thread within our developer Community that covers the same error/issue you're presenting. Please take a look at Create add-on project.

From that thread, it seems they found a solution by using 'yarn'.

Do note that the Developer Community is not the same our this Community, with this said you may have to create/sign in to the Developer Community if it's your first time visiting.

Regards,
Stephen Sifers

Hi Stephen,

Thanks for the info - I actually seen this article but using Yarn is a workaround, rather than a fix to this problem - I think you guys need to update the repo from the demo with a version of ngRok that is valid.

Is that something that can be done?  Otherwise, other people will come across the same issue.

Thanks

Suggest an answer

Log in or Sign up to answer
DEPLOYMENT TYPE
CLOUD
PRODUCT PLAN
STANDARD
TAGS
Community showcase
Published in Confluence

Miss the Confluence demos at Team 21? Watch them here!

Phew, Atlassian Team 2021 blew by. With dozens of demos and a handful of keynotes, you may have missed some of the awesome Confluence Cloud sessions. Don't' worry, you can watch them all here or on Y...

232 views 2 6
Read article

Community Events

Connect with like-minded Atlassian users at free events near you!

Find an event

Connect with like-minded Atlassian users at free events near you!

Unfortunately there are no Community Events near you at the moment.

Host an event

You're one step closer to meeting fellow Atlassian users at your local event. Learn more about Community Events

Events near you